Bug 253785 - [QLogic 5.2 bug] qla3xxx new 4032 chip does not work with VLAN
[QLogic 5.2 bug] qla3xxx new 4032 chip does not work with VLAN
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcus Barrow
Martin Jenner
: OtherQA
Depends On:
Blocks: 216992 314301 425461
  Show dependency treegraph
 
Reported: 2007-08-21 17:53 EDT by Ron Mercer
Modified: 2009-06-19 20:38 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:53:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to fix 4032 inbound VLAN bug (955 bytes, patch)
2007-08-21 17:55 EDT, Ron Mercer
no flags Details | Diff
Patch with version update to RHEL5U2 (806 bytes, patch)
2007-10-19 14:17 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Ron Mercer 2007-08-21 17:53:31 EDT
Description of problem:


If an interface owned by the qla3xxx driver (4032 chip) is used in a VLAN, 
inbound completions will not be handled and passed to the TCP/IP stack.


How reproducible:
insmod qla3xxx.ko
ifconfig ethx 0.0.0.0 up
vconfig add ethx 5
ifconfig ethx.5 192.168.2.30 (or some IP address)


Steps to Reproduce:
1. ping 192.168.2.(some_other_node)
  
Actual results:
Ping fails, see /var/log/messages

Expected results:


Additional info:
Comment 1 Ron Mercer 2007-08-21 17:55:50 EDT
Created attachment 162015 [details]
Patch to fix 4032 inbound VLAN bug

This patch will clear bit-8 in the inbound completion opcode so that the packet
will be handled properly.
Comment 2 Andrius Benokraitis 2007-08-21 22:55:11 EDT
Ron, are you planning a larger qla3xxx driver update for RHEL 5.2?
Comment 3 Ron Mercer 2007-08-22 11:27:10 EDT
Andrius,
There are no plans for new features.  Other than this VLAN bug we found on the 
4032 we have nothing outstanding.  That is why I didn't fill out a feature BZ 
before the deadline last week.  Please let me know if I missed something.
Thanks, Ron
Comment 4 Ron Mercer 2007-10-17 12:15:23 EDT
All, Can we drop this in at some point?  It is only relevant to the 4032 chip 
and I don't think there's a lot of them out there, but it's an important fix.  
Also, it's a nop if you're running the 4022 chip.
I am running 2.6.18-53 (from zdickus) and it's not in there yet.
Regards, Ron Mercer
Comment 5 Marcus Barrow 2007-10-17 12:26:58 EDT
Sure, will get it subitted in a day or two. Looks like it
should go into 4.7 as well?

Marcus
Comment 6 Marcus Barrow 2007-10-19 14:17:39 EDT
Created attachment 232881 [details]
Patch with version update to RHEL5U2
Comment 7 RHEL Product and Program Management 2007-11-13 16:16:08 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Don Zickus 2007-12-14 13:38:33 EST
in 2.6.18-60.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 12 John Poelstra 2008-03-20 23:51:33 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 13 John Poelstra 2008-04-02 17:34:12 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot3--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 14 John Poelstra 2008-04-09 18:41:27 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot4--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 15 John Poelstra 2008-04-23 13:39:01 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot6--available now on partners.redhat.com.  

We are nearing GA for 5.2 so please test and confirm that your issue is fixed ASAP.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 16 John Poelstra 2008-05-01 12:49:23 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot7--available now on partners.redhat.com.  

We are nearing GA for 5.2--this is the last opportunity to test and confirm that
your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 18 errata-xmlrpc 2008-05-21 10:53:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.